<template>
  <div class="trends-page">
    <v-container class="pa-0 ma-0 text-start">
      <v-btn
        color="tway-violet"
        :to="{ name: 'home' }"
        class="white--text font-weight-bold"
      >
        <v-icon>mdi-home</v-icon>
      </v-btn>
    </v-container>
    <div class="article pt-0">
      <v-container>
        <breadcrumbs :items="breadcrumbs" />
        <div class="tway-headline-2 tway-morado--text">
          {{ article.title }}
        </div>
        <div class="tway-body grey--text my-3">
          {{ article.author }}
        </div>
        <div class="tway-headline-3 black--text py-3" style="max-width: 730px">
          {{ article.subtitle }}
        </div>
        <v-layout row>
          <v-flex xs12 md6 v-if="article.img" class="px-3">
            <v-img
              :src="require(`@/assets/img/articles/${article.img}`)"
              contain
              max-height="630"
            >
              <template v-slot:placeholder>
                <v-row class="fill-height ma-0" align="center" justify="center">
                  <v-progress-circular indeterminate color="grey lighten-5" />
                </v-row>
              </template>
            </v-img>
            <div class="tway-body grey--text mt-2">
              {{ article.caption }}
            </div>
          </v-flex>
          <v-flex xs12 md6 class="px-3">
            <div v-if="article.body !== null">
              <p v-html="article.body" />
              <!-- <tag-group :tags="article.tags" /> -->
            </div>
            <div v-if="article.questions !== null">
              <div
                v-for="(question, n) in article.questions"
                :key="n"
                class="mb-3"
              >
                <span class="tway-morado--text font-weight-bold">
                  {{ n + 1 }}.
                </span>
                <span>
                  {{ question }}
                </span>
              </div>
            </div>
          </v-flex>
        </v-layout>
        <div v-if="article.href">
          <v-btn text :href="article.href" target="_blank" color="tway-morado">
            <v-icon left> mdi-open-in-new </v-icon>
            Ver artículo completo aquí
          </v-btn>
        </div>
      </v-container>
    </div>
  </div>
</template>

<script>
import Breadcrumbs from "@/components/Breadcrumbs";
// import TagGroup from '@/components/TagGroup';
import CompanyService from "@/services/companyService";

import TrendsNewsJSON from "@/utils/trends-news.json";

export default {
  name: "TrendPost",

  components: {
    Breadcrumbs,
    // TagGroup
  },

  data: () => ({
    breadcrumbs: [
      {
        text: "Tendencias",
        disabled: false,
        exact: true,
        to: {
          name: "trends",
        },
      },
      {
        text: "",
        disabled: true,
        exact: true,
        to: {
          name: "trends-post",
        },
      },
    ],
    posts: TrendsNewsJSON,
    article: {
      id: null,
      title: null,
      subtitle: null,
      author: null,
      date: null,
      body: null,
      img: null,
      caption: null,
      tags: [],
    },
    clientType: "",
  }),

  created() {
    this.getCompany();
    this.article.id = this.$route.params.id;
    this.getArticle();
    window.scrollTo(0, 0);
  },

  methods: {
    getArticle() {
      this.article = this.posts.find((p) => p.id === this.article.id);
      this.breadcrumbs[1].text = this.article.title;
    },
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => (this.clientType = this._.get(company, "type")))
        .catch((err) => console.log(err));
    },
  },

  watch: {
    // clientType() {
    //   if (this.clientType !== 'CLIENT') {
    //     this.$router.push({ name: 'home'});
    //   }
    // }
  },
};
</script>

<style scoped>
.article {
  padding-top: 50px;
  padding-bottom: 50px;
}
</style>
